net.sf.jasperreports.components.spiderchart

## Class SpiderChartSharedBean

- java.lang.Object
- - net.sf.jasperreports.components.spiderchart.SpiderChartSharedBean

- All Implemented Interfaces:
    java.io.Serializable

      public class SpiderChartSharedBean
      extends java.lang.Object
      implements java.io.Serializable

  Version:
    $Id: SpiderChartSharedBean.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpiderChartSharedBean()`
    `SpiderChartSharedBean(java.lang.String renderType, java.lang.Double maxValue, java.lang.String titleText, java.lang.String subtitleText, ChartHyperlinkProvider hyperlinkProvider, SpiderDataset dataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpiderDataset` | `getDataset()`
    `ChartHyperlinkProvider` | `getHyperlinkProvider()`
    `java.lang.Double` | `getMaxValue()`
    `java.lang.String` | `getRenderType()`
    `java.lang.String` | `getSubtitleText()`
    `java.lang.String` | `getTitleText()`
    `void` | `setDataset(SpiderDataset dataset)`
    `void` | `setHyperlinkProvider(ChartHyperlinkProvider hyperlinkProvider)`
    `void` | `setMaxValue(java.lang.Double maxValue)`
    `void` | `setRenderType(java.lang.String renderType)`
    `void` | `setSubtitleText(java.lang.String subtitleText)`
    `void` | `setTitleText(java.lang.String titleText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpiderChartSharedBean

          public SpiderChartSharedBean()

    - #### SpiderChartSharedBean

          public SpiderChartSharedBean(java.lang.String renderType,
                               java.lang.Double maxValue,
                               java.lang.String titleText,
                               java.lang.String subtitleText,
                               ChartHyperlinkProvider hyperlinkProvider,
                               SpiderDataset dataset)

  - ### Method Detail

    - #### getHyperlinkProvider

          public ChartHyperlinkProvider getHyperlinkProvider()

    - #### getMaxValue

          public java.lang.Double getMaxValue()

      Returns:
        the maxValue

    - #### getTitleText

          public java.lang.String getTitleText()

      Returns:
        the titleText

    - #### getSubtitleText

          public java.lang.String getSubtitleText()

      Returns:
        the subtitleText

    - #### getRenderType

          public java.lang.String getRenderType()

      Returns:
        the renderType

    - #### setRenderType

          public void setRenderType(java.lang.String renderType)

      Parameters:
        `renderType` - the renderType to set

    - #### setHyperlinkProvider

          public void setHyperlinkProvider(ChartHyperlinkProvider hyperlinkProvider)

      Parameters:
        `hyperlinkProvider` - the ChartHyperlinkProvider to set

    - #### setMaxValue

          public void setMaxValue(java.lang.Double maxValue)

      Parameters:
        `maxValue` - the maxValue to set

    - #### setTitleText

          public void setTitleText(java.lang.String titleText)

      Parameters:
        `titleText` - the titleText to set

    - #### setSubtitleText

          public void setSubtitleText(java.lang.String subtitleText)

      Parameters:
        `subtitleText` - the subtitleText to set

    - #### getDataset

          public SpiderDataset getDataset()

      Returns:
        the dataset

    - #### setDataset

          public void setDataset(SpiderDataset dataset)

      Parameters:
        `dataset` - the dataset to set

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com